require 'pg'

require 'prune/prune_plugin'
require 'rm/plugins/agendav'

class AgendavPrune < AgendavRm

  include PrunePlugin

  def get_leftover_domains(db_domains)
    # AgenDAV doesn't have a concept of domains. We could parse the
    # usernames to see what domains are present, but the point is
    # moot: all leftover accounts will be pruned anyway.
    return []
  end


  def get_leftover_accounts(db_accounts)
    # Get a list of all users who have logged in to AgenDAV.
    ad_accounts = self.list_users()
    return ad_accounts - db_accounts
  end

end
